<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		
		  var Animal=funtion(){
           
           this.peso=0;
           
           Animal.pelo="si";
          
            this.comer=function(){
            	  console.log('NAÑ');
            };


            this.tienePelo=function(){
                     
                     /* dentro de un metodo no estatico si podemos acceder a miembros estaticos*/
                     console.log("tiene pelo??" + Animal.pelo);

            };

            Animal.estatico=function(){

                           console.log("esto es un elemento de la clase");
                           /*dentro de un elemento estatico no puedo llamar a elementos no estaticos this.comer()*/
                          console.log(Animal.pelo);

            };
            var leon=new Animal();
            /* Produce error ya que es un metodo de la clase y no del objeto leon.estatico();*/
            Animal.estatico();
            console.log(Animal.pelo);
            leon.tienepelo();
            /* esto esta vacio porque es un elemento de la clase y no del objeto console.log(leon.pelo)*/

                           

	</script>
</head>
<body>
	
</body>
</html>